==========================================================================
Changes from version 1.24 to 1.25:
==========================================================================

Added functions in this release:
----------------------------------------------------------------------

InjectiveEnvelope
InjectiveResolution
LeftApproximationByAddTHat
ReadAlgebra
RejectOfModule
RightApproximationByPerpT
SaveAlgebra

Miscellaneous
----------------------------------------------------------------------

Added source repository and issue tracker to PackageInfo.g


==========================================================================
Changes from version 1.23 to 1.24:
==========================================================================

Delete the file banner.g, as this file now is absolete.

Updated doc/chapterintroduction.xml to take into account that QPA is now
a deposited package in GAP. 

Updated the files version, PackageInfo.g and doc/qpadocumentation.xml
to version 1.24.


==========================================================================
Changes from version 1.22 to 1.23:
==========================================================================

Updated the files version, PackageInfo.g and doc/qpadocumentation.xml
to version 1.23.

==========================================================================
Changes from version 1.21 to 1.22:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

Complexes can automatically detect repetition and change to "repeat"
type.  New type "next/repeat" which can be used when specifying
complexes.  This works like the type "next" (each differential is
produced by a function which takes the previous differential as
argument), but will automatically convert itself to type "repeat" (all
differentials are given by a finite list which is repeated
indefinitely) if it detects repetition.

Added functions in this release:
----------------------------------------------------------------------

AlgebraAsQuiverAlgebra
IdealOfQuotient
Immediate methods for GlobalDimension for semisimple and selfinjective
	                                         algebras
Immediate method for IsFinitetypeAlgebra for Nakayama algebras
IsTauPeriodic
IsZero (for IsPathAlgebraMatModule)
LiftingCompleteSetOfOrthogonalIdempotents
LiftingIdempotent
MakeQPADocumentation (function for building documentation)
RelationsOfAlgebra

Changed code for:
----------------------------------------------------------------------

AlgebraAsModuleOverEnvelopingAlgebra
Center/Centre
IsAdmissibleIdeal (avoiding computing radical series of the algebra)
IsFiniteTypeAlgebra
NakayamaAlgebra
RadicalOfModuleInclusion
Print for homomorphisms

Fixed bugs in:
----------------------------------------------------------------------

EndOfModuleAsQuiverAlgebra (reported by Bernhar Boelhmer)
IdempotentsForDecomposition
IsDistributiveAlgebra (reported by Bernhard Boelhmer and
                                   Rene Marczinzik)
IsomorphismOfModules
Print for complexes with empty middle part

Documentation:
----------------------------------------------------------------------

Documentation was updated. 

Changes in function names:
Old name -------> New name
------------------------------------------------------------

None

Synonyms
------------------------------------------------------------

None

Discontinued functions:
------------------------------------------------------------

None

Miscellaneous
------------------------------------------------------------

Removed chap0.html, manual.pdf and manual.six from the git
repository. Changed create-release.sh.

The create-release script was updated.

Added an introduction to QPA and some exercises.

Improved the script for generating the documentation.

==========================================================================
Changes from version 1.20 to 1.21:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

None

Changed code for:
----------------------------------------------------------------------

None

Fixed bugs in:
----------------------------------------------------------------------

IsAdmissibleIdeal 

Documentation:
----------------------------------------------------------------------

Documentation was updated. 

Changes in function names:
Old name -------> New name
------------------------------------------------------------

DirectSumOfModules ----> DirectSumOfQPAModules (conflict with
                                the happrime package)

Synonyms
------------------------------------------------------------

None

Discontinued functions:
------------------------------------------------------------

None

Miscellaneous
------------------------------------------------------------

Updated PackageInfo.g (removing any reference to SourceForge
and replacing it with GitHub information), tst/testall.tst, 


==========================================================================
Changes from version 1.19 to 1.20:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

None

Changed code for:
----------------------------------------------------------------------

PrimitiveIdempotents  (change from a global function to an attribute)

Fixed bugs in:
----------------------------------------------------------------------

None

Documentation:
----------------------------------------------------------------------

Documentation was updated. 

Changes in function names:
Old name -------> New name
------------------------------------------------------------

PrimitiveIdempotentsOfSimpleAlgebra ----> PrimitiveIdempotents
   (went back to name prior to last change)

Synonyms
------------------------------------------------------------

None

Discontinued functions:
------------------------------------------------------------

AsLeftModuleModuleGeneralMappingByImages (remove implementation
     of this function as it was conflicting the test  alghom.tst
     and it was not in use in QPA). 

Miscellaneous
------------------------------------------------------------

None

==========================================================================
Changes from version 1.18 to 1.19:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

IsHereditaryAlgebra
IsSemisimpleAlgebra (added method)

Changed code for:
----------------------------------------------------------------------

AlgebraAsModuleOverEnvelopingAlgebra (takes the algebra as an argument
                                      instead of the enveloping 
                                      algebra of the algebra)
FaithfulDimension (changed from operation to attribute)

Fixed bugs in:
----------------------------------------------------------------------

None

Documentation:
----------------------------------------------------------------------

Documentation was added and updated. 

Changes in function names:
Old name -------> New name
------------------------------------------------------------
ConnectedComponents ----> ConnectedComponentsOfQuiver
IsComplex ----> IsQPAComplex
IsSimpleModule ----> IsSimpleQPAModule
IsVertex ----> IsQuiverVertex 
PrimitiveIdempotents ----> PrimitiveIdempotentsOfSimpleAlgebra

Synonyms
------------------------------------------------------------

None

Discontinued functions:
------------------------------------------------------------

Removed two attributes "P0" and "P1" of a 
"IsProjectiveResolution" as they were not in use in QPA and 
they are likely to overwrite other variables when QPA is 
loaded.  Pointed out by A. Konovalov.

Miscellaneous
------------------------------------------------------------

Removed the bin directory from the repository (not in use, 
pointed out by A. Konovalov).  Trimmed the file PackageInfo.g
for comments. 

==========================================================================
Changes from version 1.17 to 1.18:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

IsHereditaryAlgebra (added a method).
LeftInverseOfHomomorphism
RightInverseOfHomomorphism

Changed code for:
----------------------------------------------------------------------

ChainMap
IsIsomorphism
IsSplitMonomorphism (made into a property)
IsSplitEpimorphism (made into a property)
IsomorphismOfModules
MoreLeftMinimalVersion

Fixed bugs in:
----------------------------------------------------------------------

TransposeOfModule (Reported by Florian Eisele).
TrivialExtensionOfQuiverAlgebra

Documentation:
----------------------------------------------------------------------

Documentation was added and updated. 

Changes in function names:
Old name -------> New name
------------------------------------------------------------

None

Synonyms
------------------------------------------------------------

None

Discontinued functions:
------------------------------------------------------------

None

Miscellaneous
------------------------------------------------------------

Removed a conflicting declaration and definition of the
       command NewBasis.
Updated PackageInfo.g, README, init.g and read.g.
Added a test file, tst/testall.tst

==========================================================================
Changes from version 1.16 to 1.17:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

AllComplementsOfAlmostCompleteTiltingModule
CotiltingModule
DynkinQuiver 
InjDimension
InjDimensionOfModule
IsCotiltingModule
IsTiltingModule
FaithfulDimension
HaveFiniteCoresolutionInAddM
HaveFiniteResolutionInAddM
NumberOfComplementsOfAlmostCompleteTiltingModule
NumberOfComplementsOfAlmostCompleteCotiltingModule
LeftMutationOfTiltingModuleComplement
RightMutationOfTiltingModuleComplement
TiltingModule


Changed code for:
----------------------------------------------------------------------

MinimalRightAddMApproximation (return zero if one takes
        the approximation of the zero module. Reported by
	Rene Marczinzik.)

Fixed bugs in:
----------------------------------------------------------------------

DominantDimensionOfAlgebra (Reported by Rene Marczinzik.)
GorensteinDimensionOfAlgebra (Reported by Rene Marczinzik.)


Documentation:
----------------------------------------------------------------------

Documentation was added and updated. 

Changes in function names:
Old name -------> New name
------------------------------------------------------------

None

Synonyms
------------------------------------------------------------

AllComplementsOfAlmostCompleteCotiltingModule ==
                 AllComplementsOfAlmostCompleteTiltingModule
LeftMutationOfCotiltingModuleComplement ==
                 LeftMutationOfTiltingModuleComplement
RightMutationOfCotiltingModuleComplement ==
                 RightMutationOfTiltingModuleComplement


Discontinued functions:
------------------------------------------------------------

None

Miscellaneous
------------------------------------------------------------


==========================================================================
Changes from version 1.15 to 1.16:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

TraceOfModule
RightFacMApproximation
MinimalRightFacMApproximation
LeftFacMApproximation
MinimalLeftFacMApproximation
RightSubMApproximation
MinimalRightSubMApproximation
LeftSubMApproximation
MinimalLeftSubMApproximation

Changed code for:
----------------------------------------------------------------------

None

Fixed bugs in:
----------------------------------------------------------------------

None

Documentation:
----------------------------------------------------------------------

Documentation was added and updated. 

Changes in function names:
Old name -------> New name
------------------------------------------------------------

None

Synonyms
------------------------------------------------------------

MinimalRightAddMApproximation == MinimalRightApproximation
MinimalLeftAddMApproximation == MinimalLeftApproximation
RightFacMApproximation == TraceOfModule
RightFacApproximation == TraceOfModule

Discontinued functions:
------------------------------------------------------------

None

Miscellaneous
------------------------------------------------------------

==========================================================================
Changes from version 1.14 to 1.15:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

AssignGeneratorVariables
AssociatedMonoimalAlgebra
DominantDimensionOfAlgebra
DominantDimensionOfModule
EulerBilinearFormOfAlgebra
GlobalDimension (attribute)
GlobalDimensionOfAlgebra
GorensteinAlgebraDimension
N_RigidModule
ProjDimension (attribute)
ProjDimensionOfModule

Changed code for:
----------------------------------------------------------------------

CartanMatrix, CoxeterMatrix, CoxeterPolynomial 

Fixed bugs in:
----------------------------------------------------------------------

EndOfModuleAsQuiverAlgebra
TrivialExtensionOfQuiverAlgebra

Documentation:
----------------------------------------------------------------------

Documentation was added and updated. 

Changes in function names:
Old name -------> New name
------------------------------------------------------------
None

Synonyms
------------------------------------------------------------

None

Discontinued functions:
------------------------------------------------------------

None

Miscellaneous
------------------------------------------------------------

None


==========================================================================
Changes from version 1.13 to 1.14:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

OrbitDim

Changed code for:
----------------------------------------------------------------------

IsFiniteTypeAlgebra, also extending the function to give a definite 
		     answer for radical square algebras.

Fixed bugs in:
----------------------------------------------------------------------

EndOfModuleAsQuiverAlgebra

Documentation:
----------------------------------------------------------------------

Documentation was added and updated. 

Changes in function names:
Old name -------> New name
------------------------------------------------------------
None

Synonyms
------------------------------------------------------------

None

Discontinued functions:
------------------------------------------------------------

None

Miscellaneous
------------------------------------------------------------

None

==========================================================================
Changes from version 1.12 to 1.13:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

\= (for path algebra matrix modules)
ComplexityOfAlgebra
ComplexityOfModule
DualOfAlgebraAsModuleOverEnvelopingAlgebra
EndOfModulesAsQuiverAlgebra
IsDistributiveAlgebra (added before, but not mentioned)
IsGentleAlgebra (added implementation)
IsomorphismOfModules
MinimalGeneratingSetOfIdeal
New way of introducing AR-quivers in degorderfinitetype
TrivialExtensionOfQuiverAlgebra

Changed code for:
----------------------------------------------------------------------

RightModuleOverPathAlgebra (now check if the entered matrices are over 
                            the correct field)


Fixed bugs in:
----------------------------------------------------------------------

CoxeterPolynomial
EnvelopingAlgebra

Documentation:
----------------------------------------------------------------------

Documentation was added and updated. 


Changes in function names:
Old name -------> New name
------------------------------------------------------------
None


Synonyms
------------------------------------------------------------

None

Discontinued functions:
------------------------------------------------------------

None


Miscellaneous
------------------------------------------------------------

Have added functions that require GAP >= 4.5.x.

Started to add acknowledgements in the documentation


==========================================================================
Changes from version 1.11 to 1.12:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------


IsAdmissibleQuotientOfPathAlgebra
IsARQuiverNumerical
IsBasicAlgebra
IsElementaryAlgebra
IsFiniteGlobalDimensionAlgebra
IsGentleAlgebra
IsGorensteinAlgebra
IsHereditaryAlgebra
IsQuiverAlgebra
IsRadicalSquareZeroAlgebra
IsSemisimpleAlgebra
IsUnitForm


Added functions in this release:
----------------------------------------------------------------------

ARQuiverNumerical
BilinearFormOfUnitForm
ComparisonLifting
ComparisonLiftingToProjectiveResolution
DegOrderLEQ
DegOrderLEQNC
DegOrderPredecessors
DegOrderPredecessorsWithDirect
DegOrderSuccessors
DimensionVector
DimEnd
DimHom
FiniteChainMap
GlobalDimension (attribute of an algebra)
HomomorphismFromImages
IsBasicAlgebra 
IsElementaryAlgebra
IsExceptionalModule
IsFiniteTypeAlgebra (new method)
IsIndecomposableModule
IsRadicalSquareZeroAlgebra
IsRigidModule
IsTauRigidModule
IsWeaklyNonnegativeUnitForm
IsWeaklyPositiveUnitForm
MappingCone
ModulesOfDimVect
NakayamaAutomorphisms
NakayamaFunctorOfModule
NakayamaFunctorOfModuleHomomorphism
NakayamaPermutation
NumberOfIndecomposables
NumberOfProjectives
OrbitCodim
OrderOfNakayamaAutomorphism
PositiveRootsOfUnitForm
PrintMultiplicityVector
PrintMultiplicityVectors
QuadraticFormOfUnitForm
ReflectionByBilinearForm
SeparatedQuiver
StarOfModule
StarOfModuleHomomorphism
SymmetricMatrixOfUnitForm
TitsUnitFormOfAlgebra
true methods for giving the relationship between categories/properties
     	     	 of algebras
true methods for giving the relationship between categories/properties 
     	     	 of modules
UnitForm
ZeroChainMap


Changed code for:
----------------------------------------------------------------------

"/" applied to a path algebra and a list of relations therein
AlgebraAsModuleOverEnvelopingAlgebra
CanonicalAlgebra
CartanMatrix
Center
CoxeterMatrix
CoxeterPolynomial
DirectSumOfModules
EnvelopingAlgebra
FullSubquiver
IndecProjectiveModules, added properties: IsIndecomposableModule, 
			IsProjectiveModule
IndecInjectiveModules, added properties: IsIndecomposableModule,
		       IsInjectiveModule
IsSchurianAlgebra
IsSymmetricAlgebra
IsWeaklySymmetricAlgebra
LoewyLength
NakayamaAlgebra
OriginalPathAlgebra
RightModuleOverPathAlgebra
SimpleModules, added properties: IsSimpleModule
TensorProductOfAlgebras
VerticesOfPathAlgebra

Fixed bugs in:
----------------------------------------------------------------------

None

Documentation:
----------------------------------------------------------------------

Documentation was added and updated. 


Changes in function names:
Old name -------> New name
------------------------------------------------------------

None

Synonyms
------------------------------------------------------------

None

Discontinued functions:
------------------------------------------------------------

None


Miscellaneous
------------------------------------------------------------
None


==========================================================================
Changes from version 1.10 to 1.11:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

A new way for constructing a quotient of a path algebra, 
BasicVersionOfModule
BlockSplittingIdempotents
BlockDecompositionOfModule
ConnectedComponents
FullSubquiver
IsUAcyclicQuiver
IsDynkinQuiver
IsSchurianAlgebra
IsSemiCommutativeAlgebra
IyamaGenerator
RightAlgebraModuleToPathAlgebraMatModule

Changed code for:
----------------------------------------------------------------------

RadicalOfModule, SocleOfModule, RadicalSeries and SocleSeries changed
from attributes to operations. Merged the two commands ExtOverAlgebra
and ExtOverAlgebraAdd. Changed the order of the arguments in
NakayamaAlgebra.

Fixed bugs in:
----------------------------------------------------------------------

IsAdmissibleIdeal

Documentation:
----------------------------------------------------------------------

Documentation was added and updated. 

The code is better documented with most functions getting a header
with a short explanation of the code. 

A short introduction was added with general aims and information
about installation and system requirements, and the old introduction
is now called Quickstart. 

An abstract was added and the frontpage was modified.  

Changes in function names:
Old name -------> New name
------------------------------------------------------------

AlgebraAsModuleOfEnvelopingAlgebra --->
                        AlgebraAsModuleOverEnvelopingAlgebra

Synonyms
------------------------------------------------------------

AlgebraAsModuleOfEnvelopingAlgebra  ~ 
                        AlgebraAsModuleOverEnvelopingAlgebra


Discontinued functions:
------------------------------------------------------------

None


Miscellaneous
------------------------------------------------------------
Updated the gi-files in the gap-directory by adding headers and
comments in the code.

Started to add the examples from the documentation in to separate
files in the examples/ directory. 

Deleted the old example files, comp-examples.txt and examples.txt.

Renamed the tests directory to "tst". 

Moved the gap directory to a lib directory. Changed the paths in the
init.g and read.g files from gap/? to lib/?.

Added a CHANGES file to the root directory. 

We have packed the reduced the size of the packed distribution of QPA
by only including the files in the git repository. That means, for
instance, that the PDF file of the manual is not included in the
packed distribution. However you can find it on the homepage:

                   http://www.math.ntnu.no/~oyvinso/QPA/

We are planning to move from GAP 4.4 to GAP 4.6. The reason for doing
this is that this opens new possibilities. For instance, it would then
be easier to add functions like ComplexityOfModule, etc. So we advise
to install GAP 4.6.

==========================================================================
Changes from version 1.09 to 1.10:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

IsConnectedQuiver
IsFiniteTypeAlgebra
IsTreeQuiver

Changed code for:
----------------------------------------------------------------------

Some simplifications of the code here and there. 

Fixed bugs in:
----------------------------------------------------------------------

For some functions in the file derivedcat.gi.

Documentation:
----------------------------------------------------------------------

A new introduction in the documentation has been written.
Documentation was added and updated. This is the major change in this
release.  A lot of work has gone into making the documentation better.
Still more work left. Also some of the code is better documented.

Changes in function names:
Old name -------> New name
------------------------------------------------------------
No changes

Synonyms
------------------------------------------------------------
No changes

Discontinued functions:
------------------------------------------------------------

Deleting the function Square as it was in conflict with GAP 4.5.?. 

Miscellaneous
------------------------------------------------------------
Deleted files and changed names on some of files in the repository.
Updated the gi-files in the gap-directory by adding headers and
comments in the code.

PackageInfo.g-file has been updated. 

The CVS repository is no longer updated. We have switched to a GIT
repository. Look at the web page 

	    www.math.ntnu.no/~oyvinso/QPA/

for further information how to use this repository. 


==========================================================================
Changes from version 1.08 to 1.09:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

None

Added functions in this release:
----------------------------------------------------------------------

AnnihilatorOfModule
CutComplexAbove
CutComplexBelow
DecomposeModuleWithMultiplicities.
EndModuloProjOverAlgebra
HomFactoringThroughProjOverAlgebra
IntersectionOfSubmodules
PredecessorOfModule
ProductOfIdeals
ProjetiveResolutionOfPathAlgebraModule
  (will probably change to ProjectiveGSZResolutionOfPathAlgebraModule)
SumOfSubmodules

Changed code for:
----------------------------------------------------------------------

DecomposeModule 

Changed the definition of some functions with respect to being an
attribute, a property, etc.

Fixed bugs in:
----------------------------------------------------------------------

LeftDivision
PredecessorOfModule

Documentation:
----------------------------------------------------------------------

Documentation was added and updated.

----------------------------------------------------------------------

Changes in function names:

Old name -------> New name
------------------------------------------------------------
No changes

Synonyms
------------------------------------------------------------
No changes

Discontinued functions:
------------------------------------------------------------

Deleting one version of DecomposeModule

Miscellaneous
------------------------------------------------------------

Updated banner.
This is (probably) the last time we update the cvs repository.
We will now start using a git repository instead. More on this
later. 


==========================================================================
Changes from version 1.07 to 1.08:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

Ideals in a path algebra, IsIdealInPathAlgebra.

Added functions in this release:
----------------------------------------------------------------------

AnnihilatorOfModule
CanonicalAlgebra
DecomposeModuleWithMultiplicities
ElementOfPathAlgebra
ExtAlgebraGenerators
IntersectionOfSubmodules
IsAdmissibleIdeal
IsIdealInPathAlgebra
IsInjectiveComplex
IsMonomialIdeal
IsProjectiveComplex
IsSpecialBiserialQuiver
IsSpecialBiserialAlgebra
IsStringAlgebra
IsSymmetricAlgebra
IsWeaklySymmetricAlgebra
KroneckerAlgebra
PredecessorsOfModule
ProductOfIdeals
ProjectiveResolution
ProjectiveResolutionOfComplex
ProjectiveToInjectiveComplex
ShiftUnsigned
SumOfSubmodules
TauOfComplex

Changed code for:
----------------------------------------------------------------------

1stSyzygy
AlgebraAsModuleOfEnvelopingAlgebra
AlmostSplitSequence
CoxeterMatrix
CoxeterPolynomial
DecomposeModule
DTr, TrD
DualOfModuleHomomorphism
EndOverAlgebra
IndecInjectiveModules
IndecProjectiveModules
IsInjectiveModule
IsLeftMinimal
IsProjectiveModule
IsRightMinimal
IsSimpleModule
IsSemisimpleModule
IsSelfinjectiveAlgebra
LeftMinimalVersion
LoewyLength
NontipSize
OriginalPathAlgebra
RadicalOfModule
RadicalOfModuleInclusion
RadicalSeries
RightMinimalVersion
SimpleModules
SocleOfModule           
SocleOfModuleInclusion
SocleSeries
TopOfModule
TopOfModuleProjection
TransposeOfModule
ZeroModule               (the above were operations, now attr or prop)
Display, PrintObj, ViewObj (for quivers, path algebras, quotient of
	 	   	    path algebras, modules and homomorphisms)   
\in (for elements in a path algebra)
MinimalGeneratingSetOfModule

Fixed bugs in:
----------------------------------------------------------------------

ExtOverAlgebra
ExtOverAlgebraAdd
IndecInjectiveModules
IsFiniteDimensional
LoewyLength   (for an algebra)
SimpleModules
TopOfModuleProjection

Documentation:
----------------------------------------------------------------------

Documentation was added and updated.

----------------------------------------------------------------------

Changes in function names:

Old name -------> New name
------------------------------------------------------------
SingleObjectComplex ---------> StalkComplex

Synonyms
------------------------------------------------------------
No changes

Discontinued functions:
------------------------------------------------------------
No discontinued functions.

==========================================================================
Changes from version 1.06 to 1.07:
==========================================================================

Added structures in this release:
----------------------------------------------------------------------

Representation of chain complexes and chain maps. The code is 
unfinished, not tested much, and almost not documented at all.

Added functions in this release:
----------------------------------------------------------------------

IsEnvelopingAlgebra
LiftingMorphismFromProjective
LiftingInclusionMorphisms
MatricesOfPathAlgebraMatModuleHomomorphism
MorphismOnKernel
MorphismOnImage
MorphismOnCokernel
RightModuleOverPathAlgebra - new version of this operation

Changed code for:
----------------------------------------------------------------------

MatricesOfPathAlgebraModule
CommonDirectSummand 
DecomposeModule - however no guarantee that this actually computes a 
                  decomposition of the module. Have not checked the 
                  mathematics behind the algorithms.

Fixed bugs:
----------------------------------------------------------------------

Fixed a bug in SimpleModules
Fixed a bug in IsomorphicModules

Documentation:
----------------------------------------------------------------------

Chapter 2, 3, 4 and 7 are updated.

----------------------------------------------------------------------

Changes in function names:

Old name -------> New name
------------------------------------------------------------
Coker -------> CoKernel
CokerProjection -------> CoKernelProjection
DimensionMatModule -------> Dimension
DirectSumOfPathAlgebraMatModules -------> DirectSumOfModules
DualOfPathAlgebraMatModule -------> DualOfModule
DualOfPathAlgebraMatModuleMap -------> DualOfModuleHomomorphism
ElementOfFpPathAlgebra -------> ElementOfQuotientOfPathAlgebra
EndOverPathAlgebra -------> EndOverAlgebra
ExtOne -------> ExtOverAlgebra
1st_Syzygy -------> 1stSyzygy
HomOverPathAlgebra -------> HomOverAlgebra
IdentityMap -------> IdentityMapping
Im -------> Image
ImInclusion -------> ImageInclusion
ImProjection -------> ImageProjection
ImProjectionInclusion -------> ImageProjectionInclusion
InAdditiveClosureTest -------> IsInAdditiveClosure
IndecomposableInjectiveRepresentations -------> IndecInjectiveModules
IndecomposableProjectiveRepresentations -------> IndecProjectiveModules
IsAcyclic -------> IsAcyclicQuiver
IsDirectSum -------> IsDirectSumOfModules
IsElementOfFpPathAlgebra -------> IsElementOfQuotientOfPathAlgebra
IsHomogenousGroebnerBasis -------> IsHomogeneousGroebnerBasis
IsIsom -------> IsIsomorphism
IsPathAlgebraMatModuleMap -------> IsPathAlgebraModuleHomomorphism
IsOnto -------> IsSurjective
IsOneToOne -------> IsInjective
IsSelfinjective -------> IsSelfinjectiveAlgebra
IsSplitEpi -------> IsSplitEpimorphism
IsSplitMono -------> IsSplitMonomorphism
IsSubalgebraFpPathAlgebra -------> IsQuotientOfPathAlgebra
IsZeroMap -------> IsZero
Ker -------> Kernel
KerInclusion -------> KernelInclusion
MatricesOfPathAlgebraMatModule -------> MatricesOfPathAlgebraModule
MinimalSetOfGenerators -------> MinimalGeneratingSetOfModule
ModuleIsomorphismTest -------> IsomorphicModules
nth_Syzygy -------> NthSyzygy
nth_SyzygyNC -------> NthSyzygyNC
nthPowerOfArrowIdeal -------> NthPowerOfArrowIdeal
OrderOfQuiver -------> NumberOfVertices
PreImageElm -------> PreImagesRepresentative
RadicalOfRep -------> RadicalOfModule
RadicalOfRepInclusion -------> RadicalOfModuleInclusion
RightModuleOverPathAlgebra -------> Make both one function with name:
RightModuleOverQuotientOfPathAlgebra -------> RightModuleOverPathAlgebra
SizeOfQuiver -------> NumberOfArrows
SocleOfPathAlgebraMatModule -------> SocleOfModule
SocleOfPathAlgebraMatModuleInclusion -------> SocleOfModuleInclusion
SubRep -------> SubRepresentation
SubRepInclusion -------> SubRepresentationInclusion
TopOfRep -------> TopOfModule
TopOfRepProjection -------> TopOfModuleProjection
VertexSimpleRepresentations -------> SimpleModules
ZeroRepresentation -------> ZeroModule

Synonyms
------------------------------------------------------------
DTr -------> DualOfTranspose
TrD -------> TransposeOfDual

Discontinued functions:
------------------------------------------------------------
GeneratorsOfRep -------> MinimalGeneratorsOfModule

==========================================================================
Changes from version 1.05 to 1.06:
==========================================================================

Added functions in this release:

SupportModuleElement - finds the vertices where the module element has 
		       support.

BasisOfProjectives - finds the basis that is used to compute the 
		     indecomposable projective modules.

VertexPosition - finds the position of a vertex in the list of vertices

HomFromProjective - given an element in a module with only support in one 
		    vertex, this function finds the homomorphism from the 
		    indecomposable projective corresponding to this vertex 
		    onto the given element.

ProjectiveCover - finds the projective cover of a module, ie. the 
		  homomorphism P(M) ---> M

ExtOne - computes Ext^1(M,N) for two modules M and N.

AlmostSplitSequence - computes the almost split sequence ending in an 
		      indecomposable non-projective module.

In addition:
1) a number of bug fixes to older functions.
2) documentation is updated, but still a long way from being called good. 

==========================================================================
Changes from version 1.04 to 1.05:
==========================================================================

1. Fixed bugs in the functions HomOverPathAlgebra, ModuleIsomorphismTest, 
   DirectSummandTest and IdentityMap.

2. Added the functions CommonDirectSummand, MaximalCommonDirectSummand, 
   InAdditiveClosureTest, IsSplitMono, IsSplitEpi, RightMinimalVersion,
   LeftMinimalVersion, MinimalRightApproximation, MinimalLeftApproximation, 
   IsQuadraticIdeal and QuadraticPerpOfPathAlgebraIdeal.

3. Updated the documentation/manual.
